Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class SubqueryDefinition

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseTransform
          org.eclipse.birt.data.engine.api.querydefn.BaseQueryDefinition
              org.eclipse.birt.data.engine.api.querydefn.SubqueryDefinition

All Implemented Interfaces:
  IBaseQueryDefinition, IBaseTransform, IDataQueryDefinition, INamedObject, ISubqueryDefinition

Direct Known Subclasses:
  SubqueryLocator

    public class SubqueryDefinition

extends BaseQueryDefinition
implements ISubqueryDefinition

Default implementation of the `ISubqueryDefinition` interface.

Field Summary

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseQueryDefinition
`distinctValue, groups, hasDetail, maxRowCount, parentQuery, startingRow`

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseTransform
`AFTER_LAST_ROW, afterExpressions, BEFORE_FIRST_ROW, beforeExpressions, filters, ON_EACH_ROW, rowExpressions, sorts, subqueries`

Constructor Summary
`SubqueryDefinition(java.lang.String name)` Deprecated.
`SubqueryDefinition(java.lang.String name, IBaseQueryDefinition parent)` Constructs a SubqueryDefn.

Method Summary
`boolean` | `applyOnGroup()` Subquery can apply to the group in which the sub query is added, or to the each row of current query definition.
`java.lang.String` | `getName()` get the name of current object.
`void` | `setApplyOnGroupFlag(boolean onGroup)` Set the flag of whether this subquery is applied to the group or only one row of parent query.

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseQueryDefinition
`addBinding, addGroup, addResultSetExpression, cacheQueryResults, getBindings, getDistinctValue, getGroups, getMaxRows, getParentQuery, getQueryExecutionHints, getResultSetExpressions, getStartingRow, setCacheQueryResults, setDistinctValue, setMaxRows, setName, setQueryExecutionHints, setStartingRow, setUsesDetails, usesDetails`

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseTransform
`addFilter, addSort, addSubquery, getFilters, getSorts, getSubqueries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseQueryDefinition
`addBinding, cacheQueryResults, getBindings, getDistinctValue, getGroups, getMaxRows, getParentQuery, getQueryExecutionHints, getResultSetExpressions, getStartingRow, setMaxRows, usesDetails`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseTransform
`getFilters, getSorts, getSubqueries`

Methods inherited from interface org.eclipse.birt.data.engine.api.INamedObject
`setName`

Constructor Detail

### SubqueryDefinition

    public SubqueryDefinition(java.lang.String name)

  Deprecated.

  Constructs a SubqueryDefn. A name must be provided that uniquely identifies the subquery within the report query that contains it. This constructor is deprecated for all the sub query definition should be assigned a parent query.

  Parameters:
    `name` -

### SubqueryDefinition

    public SubqueryDefinition(java.lang.String name,
                              IBaseQueryDefinition parent)

  Constructs a SubqueryDefn. A name must be provided that uniquely identifies the subquery within the report query that contains it. The outer query (parent) can be another query, or a sub query.

  Parameters:
    `name` -

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `INamedObject`
  get the name of current object.

  Specified by:
    `getName` in interface `INamedObject`
  Specified by:
    `getName` in interface `ISubqueryDefinition`
  Overrides:
    `getName` in class `BaseQueryDefinition`
  Returns:
    Name of the subquery

### applyOnGroup

    public boolean applyOnGroup()

  Description copied from interface: `ISubqueryDefinition`
  Subquery can apply to the group in which the sub query is added, or to the each row of current query definition. If it is the previous case, all rows of current group will be the data source of sub query, but in latter case, only the current row of parent query will be the data source. A note is the false value will be valid when it is added into the query definition, and it will have no any effect if it is on group.

  Specified by:
    `applyOnGroup` in interface `ISubqueryDefinition`
  Returns:
    true, sub query is applied on group, false, applied on current row of parent query

### setApplyOnGroupFlag

    public void setApplyOnGroupFlag(boolean onGroup)

  Set the flag of whether this subquery is applied to the group or only one row of parent query.

  Parameters:
    `onGroup` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.